#!/bin/bash

# release
#make clean
#make rebuild_cache
#make -j4 CFLAGS="-marm -flto-partition=none -ffunction-sections -fdata-sections -Wl,--gc-sections,-s,-flto -flto -fomit-frame-pointer -Ofast -march=armv7-a -mfpu=neon-vfpv4 -mfloat-abi=hard -mtune=cortex-a7"

# debug
make -j4 CFLAGS="-marm -ffunction-sections -fdata-sections -Wl,--gc-sections,-s -fomit-frame-pointer -O2 -march=armv7-a -mfpu=neon-vfpv4 -mfloat-abi=hard -mtune=cortex-a7"

strip ympd

sudo systemctl stop ympd
sudo cp ./ympd /usr/local/bin/ympd
sudo systemctl start ympd

mv ympd ympd.out
